Cyberduck Mountain Duck CLI

#10467 closed enhancement (fixed)

Fails to launch in the newly created virtual desktop

Reported by: dkocher Owned by: jmalek
Priority: low Milestone: 7.0
Component: core Version: 6.7.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 10

Description

Application fails to launch in the newly created virtual desktop

Environment: Desktop OS Build: 17756 OS: Windows 10 Insider Preview, Windows 10 App Version: 6.7.0.0

Repro Steps:

  1. Launch the application.
  2. Application launches successfully.
  3. Now Create the new virtual desktop.
  4. Launch the application.
  5. Observe.

Actual Results: Application fails to launch in the newly created virtual desktop

Expected Results: Application should launch in the newly created virtual desktop Resource For any questions on app development (or) submission on windows, contact Windows Dev Center. https://developer.microsoft.com/en-us/windows/support

Change History (4)

comment:1 Changed on Nov 6, 2018 at 2:30:31 PM by lvogt

  • Owner set to jmalek

comment:2 Changed on Jan 24, 2019 at 8:41:16 PM by jmalek

  • Status changed from new to assigned

Cyberduck is a single-instance application running in multi-windowed mode. Opening a Cyberduck instance while having a non-connected browser window open does nothing. Opening a Cyberduck instance while having a connected browser window opens a browser window in the current virtual desktop just as expected.

There is an API available for moving a window between virtual desktops which could be utilized for the already opened non-connected browser window sitting on another virtual desktop. API for Windows 10 virtual desktops (StackOverflow).

comment:3 Changed on Jan 25, 2019 at 9:00:36 AM by dkocher

  • Milestone 7.0 deleted
  • Priority changed from normal to low
  • Type changed from defect to enhancement

comment:4 Changed on Apr 2, 2019 at 2:48:53 PM by dkocher

  • Milestone set to 7.0
  • Resolution set to fixed
  • Status changed from assigned to closed

In r46719.

Note: See TracTickets for help on using tickets.
swiss made software